package me.jj97181818.ch04_ezcounter;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity
implements View.OnClickListener, View.OnLongClickListener {

    TextView txv;
    Button btn1;
    Button btn2;
    Button btn3;
    int counter = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        txv = (TextView) findViewById(R.id.textView);
        btn1 = (Button) findViewById(R.id.button1);
        btn2 = (Button) findViewById(R.id.button2);
        btn3 = (Button) findViewById(R.id.button3);

        btn1.setOnClickListener(this);
        btn1.setOnLongClickListener(this);
        btn2.setOnClickListener(this);
        btn2.setOnLongClickListener(this);
        btn3.setOnClickListener(this);
        btn3.setOnLongClickListener(this);
        txv.setOnLongClickListener(this);
    }
    //短按
    @Override
    public void onClick(View v) {
        // + 1
        if (v.getId() == R.id.button1) {
            txv.setText(String.valueOf(++counter));
        }
        // + 1
        else if (v.getId() == R.id.button2) {
            txv.setText(String.valueOf(--counter));
        }
        else if (v.getId() == R.id.button3) {
            finish();
        }
    }

    //長按
    @Override
    public boolean onLongClick(View v) {

        if (v.getId() == R.id.textView) { //歸零
            counter = 0;
            txv.setText("0");
        }
        else if (v.getId() == R.id.button1){                          // + 2
            counter += 2;
            txv.setText(String.valueOf(counter));
        }
        else {
            counter -= 2;
            txv.setText(String.valueOf(counter));
        }
        return true;
    }
}
